import { scaleOrdinal } from 'd3';


const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['#c11d1d', '#eae600'])

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['80', '50'])

const xPosition = (d, i) => i * 200 + 80;

export const fruitBowl = (selection, props) => {
  
  const { fruits, height } = props;
  const circles = selection.selectAll('circle')
  												 .data(fruits, d => d.id);
  
  circles
    .enter().append('circle')
        .attr('cy', height / 2)
  			.attr('cx', xPosition)
  			.attr('r', 0)
  	.merge(circles)
        .attr('fill', d => colorScale(d.type))
  			.attr('cx', xPosition)
        .attr('r', d => radiusScale(d.type));
  
  circles.exit().remove();
  
}